Update a contact
PATCH
Scope: contacts:write. The panel's contact validation rules apply as is. Idempotency-Key is required.
integrationKeyheader
AuthorizationBearer <cf_sk_…>Organization API key (cf_sk_…), created under Organization → API and automations → API keys and sent as Authorization: Bearer cf_sk_….
uuid*stringFormat
uuidIdempotency-Key*stringLength
length <= 200application/json- body
name?stringemail?stringphone?stringnotes?stringSuccess
application/json- response
success*booleandata*meta*curl -X PATCH 'https://api.getclickfix.com/v1/public-api/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Idempotency-Key: workflow-42-step-1' \ -H 'Content-Type: application/json' \ -d '{ "name": "Ayşe Yılmaz", "phone": "+905551112233", "notes": "VIP customer"}'Example Response
{ "success": true, "data": { "uuid": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d", "name": "Ayşe Yılmaz", "email": "ayse@example.com", "phone": "+905551112233", "external_id": "1001", "identity_state": "verified", "verified_at": "2026-11-10T18:42:11Z", "job_title": "Operations manager", "company": { "uuid": "0f9e8d7c-6b5a-4493-8271-605f4e3d2c1b", "name": "Acme Ltd.", "external_id": "F-77" }, "locale": "tr", "timezone": "Europe/Istanbul", "notes": "VIP customer", "custom_fields": { "plan": "pro", "seats": 12 }, "blocked": false, "channel_types": [ "widget", "email" ], "conversation_count": 3, "last_seen_at": "2026-11-11T09:14:50Z", "created_at": "2026-10-01T07:00:00Z", "updated_at": "2026-11-11T09:14:50Z" }, "meta": { "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB" }}